<?php
require_once "database.php";
 
if($_SERVER["REQUEST_METHOD"] == "POST"){
	
        $sql = "INSERT INTO users (name, lastname, gender, birth_date, mail, address, phone_number) VALUES (?, ?, ?, ?, ?, ?, ?)";
         
        if($stmt = mysqli_prepare($link, $sql)){
            mysqli_stmt_bind_param($stmt, "sssssss", $param_name, $param_lastname, $param_gender, $param_birth, $param_mail, $param_add, $param_phone);
            
			$param_name = $_POST["name"];
			$param_lastname = $_POST["lastname"];
			$param_gender = $_POST["gender"];
			$param_birth = $_POST["birth_date"];
			$param_mail = $_POST["mail"];
			$param_add = $_POST["address"];
			$param_phone = $_POST["phone_number"];
            
            if(mysqli_stmt_execute($stmt)){
                header("location: index.php");
                exit();
            } else{
                echo "เกิดข้อผิดพลาด กรุณาลองใหม่อีกครั้ง";
            }
        }
        mysqli_stmt_close($stmt);
    mysqli_close($link);
}
?>


<html lang="en">

<head>
    <title>
        Bootstrap Validation example using validator.js
    </title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
        integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <script src="https://unpkg.com/gijgo@1.9.13/js/gijgo.min.js" type="text/javascript"></script>
    <link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/1000hz-bootstrap-validator/0.11.5/validator.min.js"></script> -->

</head>

<body>
    <br />
    <div class="container">
        <div class="panel panel-primary" style="width:750px;margin:0px auto">
            <div class="panel-heading">Add User</div>
            <div class="panel-body">
                <form data-toggle="validator" role="form" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>"
                    method="post">
                    <div class="form-group">
                        <label class="control-label">Name</label>
                        <input class="form-control" data-error="Please enter name field." name="name" placeholder="Name"
                            type="text" required />
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Last Name</label>
                        <input class="form-control" data-error="Please enter lastname field." placeholder="Email"
                            name="lastname" required>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Gender</label>
                        <select id="inputState" class="form-control" data-error="Please enter gender field." name="gender"
                            required style="width:270px;">
                            <option value="">----Select----</option>
                            <option value="M">Man</option>
                            <option value="W">Woman</option>
                        </select>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Birthdate</label>
                        <div class="form-group">
                            <input id="datepicker" name="birth_date"  width="270" required/>
                            <div class="help-block with-errors"></div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">E-mail</label>
                        <input class="form-control" data-error="Please enter birth date field." placeholder="E-mail"
                            name="mail" required>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Address</label>
                        <textarea class="form-control" data-error="Please enter address field." placeholder="Address"
                            name="address" required=""></textarea>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Phone Number</label>
                        <input class="form-control" data-error="Please enter birth date field." name="phone_number" maxlength="10"
                            onkeyup="phone_num_format()" id="phone_number" placeholder="Phone Number" required
                            style="width:270px;">
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-primary" type="submit">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>

</html>

<script>
$('#datepicker').datepicker({
    uiLibrary: 'bootstrap',
    format: 'yyyy-mm-dd'
});

function phone_num_format() {
    var phone = $('#phone_number').val();
    if (phone !== '') {
        intRegex = /[0-9 -()+]+$/;
        if ((phone.length > 10) || (!intRegex.test(phone))) {
            alert('Please enter a valid phone number.');
            $('#phone_number').val('');
            return false;
        }
    }
}
</script>